boost_concept_check.h File Reference

Go to the source code of this file.

## Namespaces

| __gnu_cxx
| __gnu_debug
| std

## Macros

#define | _GLIBCXX_CLASS_REQUIRES(_type_var, _ns, _concept)
#define | _GLIBCXX_CLASS_REQUIRES2(_type_var1, _type_var2, _ns, _concept)
#define | _GLIBCXX_CLASS_REQUIRES3(_type_var1, _type_var2, _type_var3, _ns, _concept)
#define | _GLIBCXX_CLASS_REQUIRES4(_type_var1, _type_var2, _type_var3, _type_var4, _ns, _concept)
#define | _GLIBCXX_DEFINE_BINARY_OPERATOR_CONSTRAINT(_OP, _NAME)
#define | _GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT(_OP, _NAME)
#define | _IsUnused

## Functions

template<class _Tp >
void | __gnu_cxx::__aux_require_boolean_expr (const _Tp &__t)
void | __gnu_cxx::__error_type_must_be_a_signed_integer_type ()
void | __gnu_cxx::__error_type_must_be_an_integer_type ()
void | __gnu_cxx::__error_type_must_be_an_unsigned_integer_type ()
template<class _Concept >
constexpr void | __gnu_cxx::__function_requires ()

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <iterator>.

Definition in file boost_concept_check.h.